Subject: RE: [External] : bug#33414: 27.0.50; inhibit-changing-match-data can be t in syntax-propertize functions, breaking backtrace and looking-at

From: Drew Adams <[email-masked]>
Date: Thu, 7 Oct 2021 19:07:51 +0000

> > It's a variable we had since Emacs 23.  The proposed replacements are
> > only useful if your Lisp program actually calls the APIs you propose
> > to extend, but it won't do if you call higher-level APIs.
> 
> That's true, but the variable was only used a single place (in addition
> to in looking-at-p and string-match-p) so it seems unlikely that
> anybody is going to miss it.
> 
> So I've made it obsolete in Emacs 29.  We'll see whether anybody
> complains.

Why suppose that it's sufficient to search Emacs's own
source code, and then proclaim that somthing isn't used
anywhere "only used in a single place"?

FWIW, I use it.  I'll need to know what the replacement
is.  (I  presume it's just `save-match-data'.)